/* base */
.js_in ,
.js_List_in {
}
.js_in,
.js_List_in .Target {
	transition: .6s;
}
.js_List_in .Target.active {
}

/* Type */
.js_Fadein {
	transition: 1.5s;
	opacity:0;
}
.js_Fadein.active {
	opacity:1;
}
.js_upin {
	opacity: 0;
}
.js_upin.active {
	animation: is-fadeup-in 1.5s ease 0s both;
}
.js_illustin {
	opacity: 0;
}
.js_illustin.active {
	animation: is-illust-in 1s ease 0s both;
}
.js_illustlistin {
	opacity: 0;
}
.js_illustlistin.active {
	animation: is-illustlist-in 1s ease-out 0s both;
}
.js_listupin {
	opacity: 0;
}
.js_listupin.active {
	animation: is-listfadeup-in 1s ease 0s both;
}

/* ------------------------------------------------------------------------
    animation
------------------------------------------------------------------------  */
/* mask */
.ani_mask {
	position: relative;
	overflow: hidden;
	background: #000;
}
.ani_mask .Target_Image {
	width: 100%;
	height: 100%;
	background-size: cover;
	background-position: 50%;
	transition: all 2s ease-out;
	will-change: transform;
	opacity: .6;
}
#PRODUCT_SEARCH .ani_mask .Target_Image {
	opacity: 1;
}
@media screen and (min-width:1024px){
	.ani_mask:hover .Target_Image {
		opacity: .2;
		transform: scale(1.1) rotate(0.1deg);
	}
	#PRODUCT_SEARCH .ani_mask:hover .Target_Image {
		opacity: .6;
	}
}

.ani_fade_in {
	animation: is-fade-in .6s ease 0s both;
}
@keyframes is-fade-in {
	0% {
		opacity: 0;
	}
	100% {
		opacity: 1;
	}
}
@keyframes is-illust-in {
	0% {
		opacity: 0;
		transform: rotate(0deg);
	}
	25% {
		opacity: 1;
		transform: rotate(-10deg);
	}
	50% {
		transform: rotate(10deg);
	}
	75% {
		transform: rotate(-10deg);
	}
	100% {
		opacity: 1;
		transform: rotate(0deg);
	}
}
@keyframes is-illustlist-in {
	0% {
		opacity: 0;
		transform: translateY(0) scale(0.6,1);
	}
	50% {
		opacity: 1;
		transform: translateY(-20px) scale(1,1);
	}
	75% {
		transform: translateY(20px) scale(1,0.6);
	}
	100% {
		opacity: 1;
		transform: translateY(0) scale(1,1);
	}
}
@keyframes blur {
	0%    {text-shadow:  0 0 100px #fff; opacity:0;}
	70%   {text-shadow:  0 0 0px #fff;opacity: 1;}
	100%   {opacity: 1;}
}